import { OpenApiRemoteMethodParameter } from '@rxap/open-api/remote-method';
import { MethodWithParameters } from '@rxap/pattern';
import { Constructor } from '@rxap/utilities';
export interface GetPageParameter {
    filter?: Array<string>;
    pageIndex: number;
    pageSize: number;
    sortBy?: string;
    sortDirection?: string;
}
export interface PageDto<T> {
    rows: Array<T>;
    pageSize: number;
    pageIndex: number;
    total: number;
    sortDirection?: string;
    sortBy?: string;
    filter?: Array<any>;
}
export declare function ProvideRxapNestjsGetPageMethod<T, AddinalParameters>(method: Constructor<MethodWithParameters<PageDto<T>, OpenApiRemoteMethodParameter<GetPageParameter & AddinalParameters>>>, data: T[]): import("@angular/core").Provider;
